from django.conf import settings
from django.conf.urls.defaults import *
from classifieds.models import Classified, Category
from classifieds import views as cl_views
from classifieds.feeds import ClassifiedFeed

# custom views stories
urlpatterns = patterns(
    "classifieds.views",
    url(r"^feed.xml", ClassifiedFeed(), name="cl-feed"),
    url(r"^$", view=cl_views.index, name="cl-index"),
    url(
        r"^(?P<slug>[-\w]+)/$",
        view=cl_views.subcat_detail,
        name="cl-subcategory-detail",
    ),
    url(
        r"^(?P<underscore_slug>[_\w]+).html$",
        view=cl_views.subcat_old_redirect,
        name="cl-subcategory-legacy",
    ),
    # url(r'^create/$', view=cl_views.classified_create, name='cl-classified-create'),
    # url(r'^ads/(?P<id>[\d]+)/edit/$',  view=cl_views.classified_edit, name='cl-classified-edit'),
    # url(r'^ads/(?P<id>[\d]+)/$',  view=cl_views.classified_detail, name='cl-classified-detail'),
)
